(in-package #:asdf-user)

(defsystem :scopes-web
  :author "cyberconcepts.org Team <team@cyberconcepts.org>"
  :license "MIT"
  :version "0.0.1"
  :homepage "https://www.cyberconcepts.org"
  :description "Web client and server functionality."
  :depends-on (:cl-cookie :clack :dexador :flexi-streams 
               :lack :lack-component :lack-app-file :quri
               :scopes-core)
  :components ((:file "frontend/cs-hx" :depends-on ("web/dom" "web/response"))
               (:file "web/client")
               (:file "web/cookie")
               (:file "web/dom")
               (:file "web/jwt")
               (:file "web/response" :depends-on ("web/cookie" "web/dom"))
               (:file "web/server" 
                      :depends-on ("web/cookie" "web/jwt" "web/response")))
  :long-description "scopes/web: Web server and web/API/REST client."
  :in-order-to ((test-op (test-op "scopes-web/test"))))

(defsystem :scopes-web/test
  :depends-on (:scopes-web)
  :components ((:file "test/test-web"))
  :perform (test-op (o c) 
    (symbol-call :scopes/test-web :run)))
